CVE-2006-0364
CVSS4.3
发布时间 :2006-01-22 15:03:00
修订时间 :2011-03-07 21:29:53
NMCO    

[原文]Cross-site scripting (XSS) vulnerability in MyBulletinBoard (MyBB) allows remote attackers to inject arbitrary web script or HTML via a signature containing a JavaScript URI in the SRC attribute of an IMG element, in which the URI uses SGML numeric character references without trailing semicolons, as demonstrated by "&#106&#97&#118&#97&#115&#99&#114&#105&#112&#116".


[CNNVD]MyBB Signature 跨站脚本攻击漏洞(CNNVD-200601-295)

        MyBulletinBoard (MyBB)中存在跨站脚本攻击(XSS)漏洞,可让远程攻击者通过在IMG元素的SRC属性中包含JavaScript URI的签名(其中的URI使用没有结尾分号的SGML数值字符引用)注入任意Web脚本或HTML,如通过"javascript"所示。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-79 [在Web页面生成时对输入的转义处理不恰当(跨站脚本)]

- CPE (受影响的平台与产品)

cpe:/a:mybulletinboard:mybulletinboard:1.0_pr2
cpe:/a:mybulletinboard:mybulletinboard:1.0_final
cpe:/a:mybulletinboard:mybulletinboard:1.0_rc2
cpe:/a:mybulletinboard:mybulletinboard:1.0.2
cpe:/a:mybulletinboard:mybulletinboard:1.0_rc4
cpe:/a:mybulletinboard:mybulletinboard:1.0_preview_release_2
cpe:/a:mybulletinboard:mybulletinboard:1.0.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-0364
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-0364
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200601-295
(官方数据源) CNNVD

- 其它链接及资源

http://secunia.com/advisories/18544
(VENDOR_ADVISORY)  SECUNIA  18544
http://xforce.iss.net/xforce/xfdb/24225
(UNKNOWN)  XF  mybb-html-signature-xss(24225)
http://www.vupen.com/english/advisories/2006/0255
(UNKNOWN)  VUPEN  ADV-2006-0255
http://www.securityfocus.com/bid/16308
(UNKNOWN)  BID  16308
http://www.osvdb.org/22628
(UNKNOWN)  OSVDB  22628
http://archives.neohapsis.com/archives/bugtraq/2006-01/0332.html
(UNKNOWN)  BUGTRAQ  20060118 MyBB Signature HTML Code Injection

- 漏洞信息

MyBB Signature 跨站脚本攻击漏洞
中危 跨站脚本
2006-01-22 00:00:00 2007-06-26 00:00:00
远程  
        MyBulletinBoard (MyBB)中存在跨站脚本攻击(XSS)漏洞,可让远程攻击者通过在IMG元素的SRC属性中包含JavaScript URI的签名(其中的URI使用没有结尾分号的SGML数值字符引用)注入任意Web脚本或HTML,如通过"javascript"所示。

- 公告与补丁

        目前厂商还没有提供补丁或者升级程序,建议使用此软件的用户随时关注厂商的主页以获取最新版本。

- 漏洞信息

22628
MyBulletinBoard (MyBB) Allow HTML in Signatures Script Insertion
Remote / Network Access Information Disclosure
Loss of Integrity
Exploit Public

- 漏洞描述

MyBB contains a flaw that allows a remote script insertion attack. This flaw exists because the application does not properly validate JavaScript content inserted into signatures. This could allow a user to create a specially crafted signature that would execute arbitrary JavaScript code in other users' browsers within the trust relationship between their browser and the server, leading to a loss of integrity.

- 时间线

2006-01-18 Unknow
2006-01-18 Unknow

- 解决方案

Currently, there are no known upgrades or patches to correct this issue. It is possible to correct the flaw by implementing the following workaround(s): Disallow HTML in signatures through the "User Registration and Profile Options" settings.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站